## org.apache.cassandra.io
Class SSTableTracker.CacheWriter<K,V>

    java.lang.Object
      org.apache.cassandra.io.SSTableTracker.CacheWriter<K,V>

Enclosing class:
  SSTableTracker

    protected class SSTableTracker.CacheWriter<K,V>

extends java.lang.Object

Constructor Summary
`protected` `SSTableTracker.CacheWriter()`

Method Summary
`void` `saveCache(JMXInstrumentedCache<K,V> cache, java.io.File savedCachePath, com.google.common.base.Function<K,byte[]> converter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSTableTracker.CacheWriter

    protected SSTableTracker.CacheWriter()

Method Detail

### saveCache

    public void saveCache(JMXInstrumentedCache<K,V> cache,
                          java.io.File savedCachePath,
                          com.google.common.base.Function<K,byte[]> converter)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation